package com.ruoyi.dxp.mapper;

import java.util.List;
import com.ruoyi.dxp.domain.ServiceCache;

/**
 * 服务缓存Mapper接口
 * 
 * @author jy
 * @date 2023-01-04
 */
public interface ServiceCacheMapper 
{
    /**
     * 查询服务缓存
     * 
     * @param id 服务缓存主键
     * @return 服务缓存
     */
    public ServiceCache selectServiceCacheById(Long id);

    /**
     * 查询服务缓存列表
     * 
     * @param serviceCache 服务缓存
     * @return 服务缓存集合
     */
    public List<ServiceCache> selectServiceCacheList(ServiceCache serviceCache);

    /**
     * 新增服务缓存
     * 
     * @param serviceCache 服务缓存
     * @return 结果
     */
    public int insertServiceCache(ServiceCache serviceCache);

    /**
     * 修改服务缓存
     * 
     * @param serviceCache 服务缓存
     * @return 结果
     */
    public int updateServiceCache(ServiceCache serviceCache);

    /**
     * 删除服务缓存
     * 
     * @param id 服务缓存主键
     * @return 结果
     */
    public int deleteServiceCacheById(Long id);

    /**
     * 批量删除服务缓存
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteServiceCacheByIds(Long[] ids);
}
